<?php
namespace Opencart\Catalog\Model\Design;
/**
 * Class Faq
 *
 * @package Opencart\Catalog\Model\Design
 */
class Faq extends \Opencart\System\Engine\Model {
	/**
	 * @param int $faq_id
	 *
	 * @return array
	 */
	public function getFaq(int $faq_id): array {
		$query = $this->db->query("SELECT * FROM `" . DB_PREFIX . "faq` b LEFT JOIN `" . DB_PREFIX . "faq_image` bi ON (b.`faq_id` = bi.`faq_id`) WHERE b.`faq_id` = '" . (int)$faq_id . "' AND b.`status` = '1' AND bi.`language_id` = '" . (int)$this->config->get('config_language_id') . "' ORDER BY bi.`sort_order` ASC");

		return $query->rows;
	}
	public function getFaqs(int $faq_id,$start,$limit): array {
		$query = $this->db->query("SELECT * FROM `" . DB_PREFIX . "faq`   WHERE status = 1   AND  `language_id` = '" . (int)$this->config->get('config_language_id') . "' ORDER BY  `sort_order` ASC limit ".$start.",".$limit);
 		return $query->rows;
	}
	public function getTotalFaqs($faq_id): int {
		$query = $this->db->query("SELECT COUNT(*) AS `total` FROM `" . DB_PREFIX . "faq`    WHERE `status` = '1' AND  `language_id` = '" . (int)$this->config->get('config_language_id') . "'");

		return (int)$query->row['total'];
	}
}
