<?php
namespace Opencart\Catalog\Controller\Product;
/**
 * Class Thumb
 *
 * @package Opencart\Catalog\Controller\Product
 */
class Productlist extends \Opencart\System\Engine\Controller {
	/**
	 * @param array $data
	 *
	 * @return string
	 */
	public function index(array $data): string {
		$this->load->language('product/thumb');

		$data['cart'] = $this->url->link('common/cart.info', 'language=' . $this->config->get('config_language'));

		$data['add_to_cart'] = $this->url->link('checkout/cart.add', 'language=' . $this->config->get('config_language'));
		$data['add_to_wishlist'] = $this->url->link('account/wishlist.add', 'language=' . $this->config->get('config_language'));
		$data['add_to_compare'] = $this->url->link('product/compare.add', 'language=' . $this->config->get('config_language'));
 
		//$data['review_status'] = (int)$this->config->get('config_review_status');
		if($data['reviews']==''){$reviews=0;}else{$reviews=$data['reviews'];}
		$data['text_reviews'] =  (int)$reviews.' Reviews';
		//$product_info = $this->model_catalog_product->getProduct($product_id);
		//$data['text_reviews'] = sprintf($this->language->get('text_reviews'), (int)$product_info['reviews']);
		return $this->load->view('product/productlist', $data);
	}
}
